---
apiVersion: nmstate.io/v1
kind: NodeNetworkConfigurationPolicy
metadata:
  annotations:
    nmstate.io/webhook-mutating-timestamp: "1761742239170077282"
  creationTimestamp: "2025-10-29T12:50:39Z"
  generation: 1
  managedFields:
  - apiVersion: nmstate.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:desiredState:
          .: {}
          f:interfaces: {}
        f:nodeSelector:
          .: {}
          f:node-type: {}
    manager: OpenAPI-Generator
    operation: Update
    time: "2025-10-29T12:50:39Z"
  - apiVersion: nmstate.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:conditions: {}
        f:lastUnavailableNodeCountUpdate: {}
    manager: manager
    operation: Update
    subresource: status
    time: "2025-10-29T12:51:04Z"
  name: upgrade-bridge
  resourceVersion: "2198852"
  uid: f2ff3029-0c36-468b-a949-6b168586d7b7
spec:
  desiredState:
    interfaces:
    - bridge:
        options:
          stp:
            enabled: false
        port:
        - name: eno2
      ipv4:
        auto-dns: true
        dhcp: false
        enabled: false
      ipv6:
        auto-dns: true
        autoconf: false
        dhcp: false
        enabled: false
      name: br1upgrade
      state: up
      type: linux-bridge
  nodeSelector:
    node-type: worker
status:
  conditions:
  - lastHeartbeatTime: "2025-10-29T12:51:04Z"
    lastTransitionTime: "2025-10-29T12:51:04Z"
    message: 3/3 nodes successfully configured
    reason: SuccessfullyConfigured
    status: "True"
    type: Available
  - lastHeartbeatTime: "2025-10-29T12:51:04Z"
    lastTransitionTime: "2025-10-29T12:51:04Z"
    reason: SuccessfullyConfigured
    status: "False"
    type: Degraded
  - lastHeartbeatTime: "2025-10-29T12:51:04Z"
    lastTransitionTime: "2025-10-29T12:51:04Z"
    reason: ConfigurationProgressing
    status: "False"
    type: Progressing
  lastUnavailableNodeCountUpdate: "2025-10-29T12:51:04Z"
